## org.eclipse.emf.cdo.server
Interface IRepository

All Superinterfaces:
  org.eclipse.net4j.util.container.IContainer<java.lang.Object>, org.eclipse.net4j.util.event.INotifier, IQueryHandlerProvider

    public interface IRepository

extends org.eclipse.net4j.util.container.IContainer<java.lang.Object>, IQueryHandlerProvider

Nested Class Summary
`static interface` `IRepository.Handler` A marker interface to indicate valid arguments to `addHandler(Handler)` and `removeHandler(Handler)`.
`static interface` `IRepository.Props`
`static interface` `IRepository.ReadAccessHandler` Provides a way to handle revisions that are to be sent to the client.
`static interface` `IRepository.WriteAccessHandler`

Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer
`org.eclipse.net4j.util.container.IContainer.Modifiable<E>`

Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier
`org.eclipse.net4j.util.event.INotifier.Introspection`

Method Summary
`void` `addHandler(IRepository.Handler handler)`
`long` `getCreationTime()` Returns the repository creation time.
`java.lang.String` `getName()`
`INotificationManager` `getNotificationManager()`
`CDOPackageRegistry` `getPackageRegistry()` Returns the EMF `package registry` that is used by this repository.
`java.util.Map<java.lang.String,java.lang.String>` `getProperties()`
`IQueryHandlerProvider` `getQueryHandlerProvider()`
`IRevisionManager` `getRevisionManager()`
`ISessionManager` `getSessionManager()`
`IStore` `getStore()`
`java.lang.String` `getUUID()`
`boolean` `isSupportingAudits()`
`boolean` `isSupportingRevisionDeltas()`
`boolean` `isVerifyingRevisions()`
`void` `removeHandler(IRepository.Handler handler)`
`void` `setName(java.lang.String name)`
`void` `setProperties(java.util.Map<java.lang.String,java.lang.String> properties)`
`void` `setStore(IStore store)`
`void` `validateTimeStamp(long timeStamp)` Validates the given timeStamp against the repository time.

Methods inherited from interface org.eclipse.net4j.util.container.IContainer
`getElements, isEmpty`

Methods inherited from interface org.eclipse.net4j.util.event.INotifier
`addListener, removeListener`

Methods inherited from interface org.eclipse.emf.cdo.server.IQueryHandlerProvider
`getQueryHandler`

Method Detail

### getName

    java.lang.String getName()

### setName

    void setName(java.lang.String name)

### getStore

    IStore getStore()

### setStore

    void setStore(IStore store)

### getProperties

    java.util.Map<java.lang.String,java.lang.String> getProperties()

### setProperties

    void setProperties(java.util.Map<java.lang.String,java.lang.String> properties)

### getUUID

    java.lang.String getUUID()

### isSupportingRevisionDeltas

    boolean isSupportingRevisionDeltas()

### isSupportingAudits

    boolean isSupportingAudits()

### isVerifyingRevisions

    boolean isVerifyingRevisions()

### getPackageRegistry

    CDOPackageRegistry getPackageRegistry()

  Returns the EMF `package registry` that is used by this repository.

  This registry is managed by the `package manager` of this repository.

  Since:
    2.0
  See Also:
    `#getPackageUnitManager()`

### getSessionManager

    ISessionManager getSessionManager()

### getRevisionManager

    IRevisionManager getRevisionManager()

### getNotificationManager

    INotificationManager getNotificationManager()

  Since:
    2.0

### getQueryHandlerProvider

    IQueryHandlerProvider getQueryHandlerProvider()

  Since:
    2.0

### getCreationTime

    long getCreationTime()

  Returns the repository creation time.

  Since:
    2.0

### validateTimeStamp

    void validateTimeStamp(long timeStamp)
                           throws java.lang.IllegalArgumentException

  Validates the given timeStamp against the repository time.

  Throws:
    `java.lang.IllegalArgumentException` - if the given timeStamp is less than the repository creation time or greater than the current repository time.
  Since:
    2.0

### addHandler

    void addHandler(IRepository.Handler handler)

  Since:
    2.0

### removeHandler

    void removeHandler(IRepository.Handler handler)

  Since:
    2.0

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.